/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ImageTilesReadyEventArgsDescriptionMetadata } from "./ImageTilesReadyEventArgsDescriptionMetadata";
import { SeriesViewerDescriptionMetadata } from "./SeriesViewerDescriptionMetadata";
import { GeographicMapDescription } from "./GeographicMapDescription";
/**
 * @hidden
 */
var GeographicMapDescriptionMetadata = /** @class */ (function (_super) {
    __extends(GeographicMapDescriptionMetadata, _super);
    function GeographicMapDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GeographicMapDescriptionMetadata.b = function (a) {
        if (GeographicMapDescriptionMetadata.a == null) {
            GeographicMapDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            GeographicMapDescriptionMetadata.c(a, GeographicMapDescriptionMetadata.a);
            ImageTilesReadyEventArgsDescriptionMetadata.d(a);
        }
    };
    GeographicMapDescriptionMetadata.c = function (a, b) {
        SeriesViewerDescriptionMetadata.c(a, b);
        b.item("Zoomable", "Boolean");
        b.item("WorldRect", "Rect");
        b.item("ActualWorldRect", "Rect");
        b.item("WindowScale", "Number:double");
        b.item("ActualWindowScale", "Number:double");
        b.item("ImageTilesReadyRef", "EventRef::imageTilesReady");
        GeographicMapDescriptionMetadata.e(a, b);
    };
    GeographicMapDescriptionMetadata.d = function (a) {
        GeographicMapDescriptionMetadata.b(a);
        a.n("GeographicMap", function () { return new GeographicMapDescription(); });
        a.m("GeographicMap", GeographicMapDescriptionMetadata.a);
    };
    GeographicMapDescriptionMetadata.e = function (a, b) {
        b.item("_qualifiedName", "String:Infragistics.Controls.Charts.XamGeogrpahicMap");
        b.item("Width", "(w:Width/DimensionTransform)String");
        b.item("Height", "(w:Height/DimensionTransform)String");
    };
    GeographicMapDescriptionMetadata.$t = markType(GeographicMapDescriptionMetadata, 'GeographicMapDescriptionMetadata');
    GeographicMapDescriptionMetadata.a = null;
    return GeographicMapDescriptionMetadata;
}(Base));
export { GeographicMapDescriptionMetadata };
